#!/bin/sh

APPLICATION=com.ibm.ws.rapiddeploy.core.WRDExec
ENCODINGOPTIONS=


quit() {
	exit
}

executeWRD() {
	echo "Launching WebSphere Rapid Deployment configuration.  Please wait..."
	echo "Starting Workbench..."
	$JAVA_HOME/bin/java $ENCODINGOPTIONS -Xms256m -Xmx512m -cp $wrd_cp org.eclipse.core.launcher.Main -noupdate -data "$WORKSPACE" -application $APPLICATION -config "$@"
}

binDir=`dirname $0`
. "$binDir/setupCmdLine.sh"

if [ -z $ITP_LOC ]; then
	echo "Need to set ITP_LOC"
	quit
fi

wrd_cp=$ITP_LOC/startup.jar


PASSPARM=""

while [ $# -gt 0 ]; do
  case $1 in
        -workspace) shift
                    WORKSPACE="$1"
                    ;;
        *) PASSPARM="$PASSPARM $1"
            ;;
  esac
  shift
done

PLATFORM=`/bin/uname`
case $PLATFORM in
   OS/390)
# For z/OS, use ascii file-encoding 
     ENCODINGOPTIONS="-Dfile.encoding=ISO8859-1 -Xnoargsconversion ";;
esac



if [ -z "$WORKSPACE" ]; then
	echo "Set WORKSPACE to the rapid deployment workspace directory"
	quit
else
	executeWRD ${PASSPARM}
fi 